#!/bin/bash
##
# Himp MacOS
# @version 4.6.1
# @license GPLv3: https://gnu.org/licenses/gpl.html
#
# Control Himp instance
################################################################################

service="com.hiboutik.himp"


function stopHimp {
  launchctl stop $service
  p=$(ps -ax)
  zombie=$(echo "$p"|grep himp.sh|wc -l)
  if [ $zombie != "0" ]; then
    echo 'killing zombie process...'
    pkill -f '/bin/bash .*/Himp/himp.sh'
  fi
  return 0
}


case $1 in
  'status')
    launchctl list $service
    ;;
  'start')
    launchctl start $service
    exit_code=$?
    if [ $exit_code == "0" ]; then
      echo "Himp started"
    else
      echo "Error: $exit_code"
    fi
    ;;
  'stop')
    stopHimp
    ;;
  'restart')
    stopHimp && launchctl start $service
    ;;
  *)
    printf "[Error] Unknown command $1\n"
    printf "\tUsage: $0 status|start|stop|restart\n"
    exit 1
    ;;
esac

exit 0
