#!/bin/bash
##
# Himp MacOS
# @version 4.6.3
# @license GPLv3: https://gnu.org/licenses/gpl.html
#
# Control Himp instance
################################################################################

service="com.hiboutik.himp"

function getPid {
  p=$(ps ax|grep java|grep 'Himp.jar')
  r=$(echo $p | sed s/^[[:space:]]*//|cut -d' ' -f1)
  printf "$r"

  return 0
}
function stopHimp {
  launchctl stop $service
  sleep 2

  p=$(getPid)
  if [[ "$p" != '' ]]; then
    echo "killing zombie process -> $p..."
    kill -2 $p

    sleep 2
    p=$(getPid)
    if [[ "$p" != '' ]]; then
      echo "Force killing zombie process -> $p..."
      kill -9 $p
    fi
  fi
  return 0
}


case $1 in
  'status')
    launchctl list $service
    ;;
  'start')
    launchctl start $service
    exit_code=$?
    if [ $exit_code == "0" ]; then
      echo "Himp started"
    else
      echo "Error: $exit_code"
    fi
    ;;
  'stop')
    stopHimp
    ;;
  'restart')
    stopHimp && launchctl start $service
    ;;
  *)
    printf "[Error] Unknown command $1\n"
    printf "\tUsage: $0 status|start|stop|restart\n"
    exit 1
    ;;
esac

exit 0
